/* ================= RESET ================= */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.6;
}

:root {
  --primary: #0B2C3D;
  --secondary: #429cba;
  --accent: #F4B400;
  --bg-light: #F5F7FA;
  --text-dark: #1A1A1A;
  --text-light: #FFFFFF;
  --light-blue:#00e8ff;
  --dark-blue:#0e3a52;
  --white:#fff;
  --off-white:#f5f5f5;
}


/* ================= HEADER ================= */
.namo-header {
  position: fixed;
  top: 0;
  width: 100%;
  background: var(--secondary);
  z-index: 1000;
  padding: 10px;
}

.namo-header .logo img {
  height: 50px;
}

.namo-nav a {
  color: var(--white);
  margin-left: 20px;
  text-decoration: none;
  font-weight: 500;
}

.namo-nav a:hover {
  text-decoration: underline;
}

/* ================= BANNER ================= */
.banner {
    background-image:linear-gradient(to bottom, #00000054, #00000054), url(../img/educational.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 700px;
    color: #ffffff;
    display: flex;
    align-items: center;
    text-align: center;
    padding-top: 80px;
}

.banner h1 {
  font-size: 40px;
  margin-bottom: 10px;
}

/* ================= SECTIONS ================= */
.section {
  padding: 80px 0;
}

.section.light {
  background: #f5f5f5;
}

.section h2 {
  text-align: center;
  margin-bottom: 30px;
}

/* ================= ABOUT US ================= */
.about-section {
  background: #ffffff;
}

.about-intro {
  max-width: 900px;
  margin: 0 auto 50px;
  text-align: center;
  font-size: 17px;
  color: #333;
}

/* Cards Layout */
.about-cards {
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 30px;
}

/* Card Design */
.about-card {
  background: var(--primary);
  padding: 35px 25px;
  text-align: center;
  border-radius: 6px;
  border: 1px solid #e0e0e0;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.about-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 12px 25px rgba(0, 0, 0, 0.08);
}

/* Icons */
.about-icon {
  font-size: 40px;
  margin-bottom: 15px;
}

/* Headings */
.about-card h3 {
  margin-bottom: 15px;
  font-size: 20px;
  color: var(--white);
}

/* Text */
.about-card p {
  font-size: 15px;
  color: var(--white);
  line-height: 1.6;
}


/* ================= JOB GRID ================= */
.job-grid {
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 15px;
}

.job-grid span {
  padding: 12px;
  color: var(--white);
  background: var(--dark-blue);
  border: 1px solid #ddd;
  text-align: center;
  border-radius: 5px;
}

/* ================= CONTACT FORM ================= */

.contact_number{
  background-color: var(--dark-blue);
  border-radius: 10px;
  color: var(--white);
  padding: 20px;
}

.contact_number hr{
  border: 2px solid var(--light-blue);
  opacity: 1;
}

.contact_media a{
    color:var(--bs-white);
    text-decoration:none;
    font-size: 22px;
    margin: 0 6px;
}
.contact_no{
  display: grid;
  grid-template-columns: repeat(2, auto);
  justify-content: space-evenly;
}

.contact-form {
  max-width: 500px;
  margin: auto;
  text-align: center;
}

.name{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  gap: 10px;
}

.contact-form input,
.contact-form select,
.contact-form textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
}

#resumeUpload {
  display: none;
}

.contact-form textarea {
  resize: none;  
}

.contact-form button {
  padding: 10px 20px;
  background: #0b2c3d;
  color: #fff;
  border: none;
  cursor: pointer;
}

/* ================= FOOTER ================= */
.namo-footer {
  background: #0b2c3d;
  color: #ffffff;
  text-align: center;
  padding: 6px 0;
}
.namo-footer .container p{
    font-size: 14px;
    margin: 0;
}

/* ================= POPUP ================= */
.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 2000;
}

.popup-content {
  background: #ffffff;
  padding: 30px;
  width: 320px;
}
.popup-content-head{
  display: grid;
  grid-template-columns: repeat(2, auto);
  justify-content: space-between;
}
.popup-content-head button{
  background-color: transparent;
  border: none;
}


.popup-content input,
.popup-content select {
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
}

.popup-content form button {
  width: 100%;
  padding: 10px;
  background: #0b2c3d;
  color: #fff;
  border: none;
}
